Jeromy
0832a640fa
remove utp tests for now
...
License: MIT
Signed-off-by: Jeromy <why@ipfs.io>
2016-09-26 00:52:19 -07:00
Jeromy
e43c770530
update libp2p and dht packages
...
License: MIT
Signed-off-by: Jeromy <why@ipfs.io>
2016-09-25 23:42:14 -07:00
Jeromy Johnson
300187ac52
Merge pull request #3242 from ipfs/test/repro-random-fail
...
trying to debug random test failures
2016-09-20 23:48:55 -07:00
Jeromy
5457a85cef
Merge branch 'version/0.4.3-rc4'
...
License: MIT
Signed-off-by: Jeromy <why@ipfs.io>
2016-09-20 19:10:10 -07:00
Jeromy
fb05a5fbb8
trying to debug random test failures
...
License: MIT
Signed-off-by: Jeromy <why@ipfs.io>
2016-09-19 19:37:03 -07:00
Jeromy Johnson
0aa136a98e
Merge pull request #3206 from ipfs/feat/writable-flag
...
gateway: fix --writable flag :|
2016-09-14 13:50:32 -04:00
Jeromy
1de17e2233
Update libp2p to 3.5.2
...
License: MIT
Signed-off-by: Jeromy <why@ipfs.io>
2016-09-12 14:26:55 -07:00
Jeromy
1bb6a842c5
Update libp2p to have fixed spdystream dep
...
License: MIT
Signed-off-by: Jeromy <why@ipfs.io>
2016-09-12 07:47:04 -07:00
Lars Gierth
fc8e6de6a9
gateway: fix --writable flag :|
...
License: MIT
Signed-off-by: Lars Gierth <larsg@systemli.org>
2016-09-11 21:09:09 +02:00
George Antoniadis
89d8ca5798
Extract peerset, update peer, peerset, secio, libp2p
...
License: MIT
Signed-off-by: George Antoniadis <george@noodles.gr>
2016-09-10 23:22:17 +01:00
George Antoniadis
6859b8ccd8
Extract key and datastore
...
License: MIT
Signed-off-by: George Antoniadis <george@noodles.gr>
2016-09-09 15:52:25 +01:00
Jeromy
c8fe495934
integrate CIDv0
...
License: MIT
Signed-off-by: Jeromy <why@ipfs.io>
2016-09-07 13:32:32 -07:00
Jeromy Johnson
8803a7628f
Merge pull request #3141 from ipfs/feat/cmd/config-priv
...
cmd: harden the security of privkey field in config show
2016-09-04 08:27:01 -07:00
Jeromy Johnson
d6092eb536
Merge pull request #3182 from ipfs/fix/bitswap/want-cancel
...
Remove entries from wantlists when their related requests are cancelled
2016-09-04 07:05:28 -07:00
Jakub Sztandera
671425ea33
cmd: harden config show with key
...
License: MIT
Signed-off-by: Jakub Sztandera <kubuxu@protonmail.ch>
2016-09-04 06:50:10 -07:00
Jeromy
1548c8aabb
bitswap: clear wantlists when GetBlocks calls are cancelled
...
License: MIT
Signed-off-by: Jeromy <why@ipfs.io>
2016-09-04 06:44:21 -07:00
Jeromy Johnson
1f387af2b0
Merge pull request #3149 from ipfs/test/fdlimit-raising
...
fdlimit: improve fdlimit autoraising tests
2016-09-03 09:27:52 -07:00
Jeromy Johnson
309535c057
Merge pull request #3151 from ipfs/kevina/more3138tests
...
Enhance tests for files API root best-effort pin.
2016-09-03 09:27:34 -07:00
Jeromy
af914c5193
add better test to be more sure that file descriptor limits were actually raised
...
License: MIT
Signed-off-by: Jeromy <why@ipfs.io>
2016-09-02 07:15:08 -07:00
Jeromy
6c340563d4
fdlimit: improve fdlimit autoraising tests
...
License: MIT
Signed-off-by: Jeromy <why@ipfs.io>
2016-09-02 07:14:48 -07:00
Jeromy
aafe084b92
sharness: fix typo in hash in t0050
...
License: MIT
Signed-off-by: Jeromy <why@ipfs.io>
2016-09-01 15:42:05 -07:00
Jakub Sztandera
f59751d1a2
test: remove time-out script, use go-timeout instead
...
License: MIT
Signed-off-by: Jakub Sztandera <kubuxu@protonmail.ch>
2016-09-01 15:59:12 +02:00
Jakub Sztandera
f012b5aed5
test: add go-timeotu to test build system
...
License: MIT
Signed-off-by: Jakub Sztandera <kubuxu@protonmail.ch>
2016-09-01 15:59:11 +02:00
Jakub Sztandera
7639a2f0a7
test: introduce go-timeout
...
License: MIT
Signed-off-by: Jakub Sztandera <kubuxu@protonmail.ch>
2016-09-01 15:59:11 +02:00
Jeromy Johnson
ade598eead
Merge pull request #3135 from ipfs/kevina/2839directfix
...
Directly Fix #2839
2016-08-31 19:34:21 -07:00
Kevin Atkinson
6e4f3acb4a
Enhance tests for files API root best-effort pin.
...
License: MIT
Signed-off-by: Kevin Atkinson <k@kevina.org>
2016-08-31 18:16:36 -04:00
Jeromy Johnson
40159e50a0
Merge pull request #3158 from ipfs/feat/migrations-help
...
fsrepo: improve migrations copy
2016-08-30 22:34:33 -07:00
Jeromy Johnson
4286cd3695
Merge pull request #3144 from ipfs/test/add/revert
...
test: revert few stdin tests that were removed
2016-08-30 22:03:54 -07:00
Jeromy Johnson
ea343fbfa1
Merge pull request #3142 from ipfs/test/CORS/defaults
...
test: do explicit check of CORS headers
2016-08-30 21:46:59 -07:00
Jeromy
b4718a246c
fix tests for changed migrations text
...
License: MIT
Signed-off-by: Jeromy <why@ipfs.io>
2016-08-30 21:37:45 -07:00
Jeromy
7baac76a3b
repo/verify: add better testing on repo verify command
...
License: MIT
Signed-off-by: Jeromy <why@ipfs.io>
2016-08-29 22:55:06 -07:00
Jakub Sztandera
384fb1095c
test: revert few stdin tests that were removed
...
License: MIT
Signed-off-by: Jakub Sztandera <kubuxu@protonmail.ch>
2016-08-29 22:11:11 +02:00
Kevin Atkinson
802d3f9570
Add back still useful test from fe7b01f1 (Resolve symlink if ...)
...
Add back still useful test from reverted commit:
fe7b01f14e
Resolve symlink if it is directly referenced in cli (#2897 )
License: MIT
Signed-off-by: Kevin Atkinson <k@kevina.org>
2016-08-29 16:10:46 -04:00
Jakub Sztandera
3754803a67
test: do explicit check of CORS headers
...
License: MIT
Signed-off-by: Jakub Sztandera <kubuxu@protonmail.ch>
2016-08-29 21:43:58 +02:00
Kevin Atkinson
10a692f9a2
Fix "ipfs add -r ." to always add the contents of the current directory.
...
License: MIT
Signed-off-by: Kevin Atkinson <k@kevina.org>
2016-08-27 16:48:03 -04:00
Kevin Atkinson
88e4b110ba
Revert "Resolve symlink if it is directly referenced in cli ( #2897 )"
...
This reverts commit fe7b01f14e .
Conflicts:
commands/cli/parse.go
Revert "Merge pull request #3023 from ipfs/feature/eval-symlink-windows"
This reverts commit 16c5a89dd4 , reversing
changes made to 8c77ff8188 .
Conflicts:
commands/cli/parse.go
License: MIT
Signed-off-by: Kevin Atkinson <k@kevina.org>
2016-08-27 14:36:28 -04:00
Jeromy Johnson
53b927e3eb
Merge pull request #3130 from ipfs/test/repo/version-digits
...
test: accept more than one digit in repo version tests
2016-08-26 14:17:50 -07:00
Jakub Sztandera
8181e9934a
test: accept more than one digit in repo version tests
...
License: MIT
Signed-off-by: Jakub Sztandera <kubuxu@protonmail.ch>
2016-08-26 18:23:40 +02:00
Jeromy
05b197df2d
update deps for libp2p 3.4.0
...
License: MIT
Signed-off-by: Jeromy <why@ipfs.io>
2016-08-25 19:02:55 -07:00
Jeromy Johnson
10048ceca9
Merge pull request #2962 from ipfs/kevina/block-rm
...
Add "ipfs block rm" command.
2016-08-18 13:27:26 -07:00
Kevin Atkinson
8679af7a02
"block rm": add "--force" and "--quiet" option
...
License: MIT
Signed-off-by: Kevin Atkinson <k@kevina.org>
2016-08-17 01:29:40 -04:00
Kevin Atkinson
92f6747a95
"block rm": test case for removing pinned, valid, and non-existent blocks
...
Add test that removes a combination of pinned, valid, and non-existent
blocks in one command.
License: MIT
Signed-off-by: Kevin Atkinson <k@kevina.org>
2016-08-16 20:52:00 -04:00
Jeromy Johnson
f2dcad8531
Merge pull request #2999 from ipfs/feature/makefile-cleanup
...
Cleanup makefiles
2016-08-16 10:15:08 -07:00
Kevin Atkinson
c88b4b0941
"block rm": remove the option to ignore pins
...
License: MIT
Signed-off-by: Kevin Atkinson <k@kevina.org>
2016-08-15 13:17:43 -04:00
Kevin Atkinson
efeb789878
Check for multiple pinned blocks in a single pass.
...
Provide a new method, Pinner.CheckIfPinned(), which will check if
any of the arguments are pinned. Previously IsPinned would need to be
called once for each block. The new method will speed up the checking
of multiple pinned blocks from O(p*n) to O(p) (where p is the number
of pinned blocks and n is the number of blocks to be check)
Use the new method in "block rm".
License: MIT
Signed-off-by: Kevin Atkinson <k@kevina.org>
2016-08-15 13:17:43 -04:00
Kevin Atkinson
6ad497bcf0
"block rm": use channel instead of pipe / don't abort on non-fatal error
...
License: MIT
Signed-off-by: Kevin Atkinson <k@kevina.org>
2016-08-15 13:17:43 -04:00
Kevin Atkinson
453be22dfb
Add "ipfs block rm" command.
...
License: MIT
Signed-off-by: Kevin Atkinson <k@kevina.org>
2016-08-15 13:17:43 -04:00
Christian Couder
2489dfe8a9
ipfs-test-lib: fix test_fsh arg quoting
...
test_fsh() should quote its arguments before passing them
to `eval` otherwise there are problems when the arguments
contain spaces.
For example when running the following program:
```
#!/bin/sh
. ./ipfs-test-lib.sh
die () {
printf >&2 "%s\n" "$@"
exit 1
}
DIR1="test dir 1"
DIR2="test dir 2"
mkdir "$DIR1" "$DIR2" || die "Could not mkdir '$DIR1' '$DIR2'"
echo "in dir 1" >"$DIR1/file1" || die "Could not write into '$DIR1/file1'"
echo "in dir 2" >"$DIR2/file2" || die "Could not write into '$DIR2/file2'"
if test_cmp "$DIR1/file1" "$DIR2/file2"
then
echo "test_cmp succeeded!"
else
echo "test_cmp failed!"
fi
rm -rf "$DIR1" "$DIR2" || die "Could not rm -rf '$DIR1' '$DIR2'"
```
we get:
```
> diff -u test dir 1/file1 test dir 2/file2
diff: extra operand '1/file1'
diff: Try 'diff --help' for more information.
test_cmp failed!
```
License: MIT
Signed-off-by: Christian Couder <chriscool@tuxfamily.org>
2016-08-15 12:10:15 +02:00
Jeromy
8a75a8cf08
commands: fix panic when stdin is empty for string args
...
License: MIT
Signed-off-by: Jeromy <why@ipfs.io>
2016-08-07 09:24:17 -07:00
Jakub Sztandera
cc60f6909b
make: cleanup -rm calls
...
License: MIT
Signed-off-by: Jakub Sztandera <kubuxu@protonmail.ch>
2016-08-04 16:38:00 +02:00